Package com.io7m.coffeepick.repository.spi

# Class RuntimeRepositoryEventUpdateStarted.Builder

java.lang.Object
com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateStarted.Builder

Enclosing class:
  RuntimeRepositoryEventUpdateStarted

    public static final class RuntimeRepositoryEventUpdateStarted.Builder
    extends java.lang.Object

Builds instances of type `RuntimeRepositoryEventUpdateStarted`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `RuntimeRepositoryEventUpdateStarted` | `build()` | Builds a new `RuntimeRepositoryEventUpdateStarted`.
  `RuntimeRepositoryEventUpdateStarted.Builder` | `from​(RuntimeRepositoryEventType instance)` | Fill a builder with attribute values from the provided `com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventType` instance.
  `RuntimeRepositoryEventUpdateStarted.Builder` | `from​(RuntimeRepositoryEventUpdateStartedType instance)` | Fill a builder with attribute values from the provided `com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateStartedType` instance.
  `RuntimeRepositoryEventUpdateStarted.Builder` | `from​(RuntimeRepositoryEventUpdateType instance)` | Fill a builder with attribute values from the provided `com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateType` instance.
  `RuntimeRepositoryEventUpdateStarted.Builder` | `setRepository​(java.net.URI repository)` | Initializes the value for the `repository` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final RuntimeRepositoryEventUpdateStarted.Builder from​(RuntimeRepositoryEventType instance)
    Fill a builder with attribute values from the provided `com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final RuntimeRepositoryEventUpdateStarted.Builder from​(RuntimeRepositoryEventUpdateType instance)
    Fill a builder with attribute values from the provided `com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final RuntimeRepositoryEventUpdateStarted.Builder from​(RuntimeRepositoryEventUpdateStartedType instance)
    Fill a builder with attribute values from the provided `com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateStartedType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setRepository

    public final RuntimeRepositoryEventUpdateStarted.Builder setRepository​(java.net.URI repository)
    Initializes the value for the `repository` attribute.
    Parameters:
      `repository` - The value for repository
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public RuntimeRepositoryEventUpdateStarted build()
    Builds a new `RuntimeRepositoryEventUpdateStarted`.
    Returns:
      An immutable instance of RuntimeRepositoryEventUpdateStarted
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing